Get update types
curl --request GET \
--url https://api.debbiecollect.com/v1/{tenantId}/updates/types \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.debbiecollect.com/v1/{tenantId}/updates/types"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.debbiecollect.com/v1/{tenantId}/updates/types', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"meta": {
"currentPage": 0,
"pageSize": 250
},
"items": [
{
"updateTypeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"procedure": "<array>",
"procedureEnabled": true,
"referenceType": "CASE",
"selectable": true,
"public": true,
"knowledgeBaseUrls": "<unknown>",
"priority": 123,
"label": "<string>",
"description": "<string>",
"pausing": true,
"groupId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"groupLabel": "<string>",
"important": true,
"importantTheme": "<string>",
"responsiblePermissionLevel": "client",
"hiddenPermissionLevel": "client",
"pauseWithUpdateOnCaseExit": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"continueOnCaseExit": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"introductionHeroFile": {
"fileName": "<string>",
"contentType": "<string>",
"fileId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"introductionHTML": "<string>"
}
]
}Updates
Get update types
Get a paginated list of the update types available on the tenant.
Required scope: read:updates
GET
/
v1
/
{tenantId}
/
updates
/
types
Get update types
Authorizations
Authentication can be done by using a bearer token in the Authorization header. This is done using the following format Authorization: Bearer {token}.
Path Parameters
Id of the tenant the update is related to
Query Parameters
Page to get. Starting from 0.
Number of items per page.
Required range:
x <= 250